package 'openni-dev' not found [closed]

asked 2013-12-20 21:49:04 -0600

chao gravatar image

updated 2013-12-21 21:33:18 -0600

tfoote gravatar image

i have tried to solve the pcl/io/openni_grabber.h: No such file or directory. however, the error message below can't be solved. how can i solve this problem? or it is unnecessary to be solved?

-- checking for module 'openni-dev'
--   package 'openni-dev' not found
-- checking for module 'openni-dev'
--   package 'openni-dev' not found
-- checking for module 'openni-dev'
--   package 'openni-dev' not found
-- looking for PCL_COMMON
-- looking for PCL_KDTREE
-- looking for PCL_OCTREE
-- looking for PCL_SEARCH
-- looking for PCL_IO
-- looking for PCL_SAMPLE_CONSENSUS
-- looking for PCL_FILTERS
-- looking for PCL_GEOMETRY
-- looking for PCL_VISUALIZATION
-- looking for PCL_OUTOFCORE
-- looking for PCL_FEATURES
-- looking for PCL_SEGMENTATION
-- looking for PCL_PEOPLE
-- looking for PCL_REGISTRATION
-- looking for PCL_RECOGNITION
-- looking for PCL_KEYPOINTS
-- looking for PCL_SURFACE
-- looking for PCL_TRACKING
-- looking for PCL_APPS

using dpkg -l | grep openni, i get

ii  libopenni-dev                               1.5.4.0-4+precise1                                  headers for OpenNI 'Natural Interaction' frameworks
ii  libopenni-nite-dev                          1.3.1.5~precise                                     Nite development package
ii  libopenni-sensor-primesense-dev             5.1.0.41-2+precise1                                 Microsoft Kinect sensor modules for the OpenNI framework
ii  libopenni-sensor-primesense0                5.1.0.41-2+precise1                                 Microsoft Kinect sensor modules for the OpenNI framework
ii  libopenni0                                  1.5.4.0-4+precise1                                  framework for sensor-based 'Natural Interaction'
ii  libopenni2-0                                2.1.0.4-1~ppa2~precise1                             framework for sensor-based 'Natural Interaction'
ii  libopenni2-dev                              2.1.0.4-1~ppa2~precise1                             headers for OpenNI 'Natural Interaction' frameworks
rc  openni-dev                                  1.3.2.1-4+precise2                                  OpenNI Framework - libraries
ii  openni-utils                                1.5.4.0-4+precise1                                  debug and test utilities OpenNI framework
ii  ros-groovy-openni-camera                    1.8.9-0precise-20131016-0313-+0000                  A ROS driver for OpenNI depth (+ RGB) cameras. These include: Microsoft Kinect, PrimeSense PSDK, ASUS Xtion Pro and Pro Live The driver publishes raw depth, RGB, and IR image streams.
ii  ros-groovy-openni-launch                    1.8.3-0precise-20131123-1410-+0000                  Launch files to open an OpenNI device and load all nodelets to convert raw depth/RGB/IR streams to depth images, disparity images, and (registered) point clouds.
ii  ros-groovy-openni-tracker                   0.1.3-s1386118586~precise                           OpenNI skeleton tracker
ii  ros-groovy-openni2-camera                   0.1.0-0precise-20131016-0313-+0000                  Drivers for the Asus Xtion and Primesense Devices. For using a kinect with ROS, try the freenect stack: <a href="http://www.ros.org/wiki/freenect_stack">http://www.ros.org/wiki/freenect_stack</a>
edit retag flag offensive reopen merge delete

Closed for the following reason PCL Question: The PCL community prefers to answer questions at http://www.pcl-users.org/ by tfoote
close date 2015-11-19 20:07:19.197829

Comments

Hey if you ever got this work let me know. I'm trying to use the viewer and I keep getting this message: checking for module 'openni-dev' -- package 'openni-dev' not found -- Could NOT find openni (missing: OPENNI_INCLUDE_DIRS) I have doublechecked to make sure I have full 1.7 PCL installed.

Athoesen gravatar imageAthoesen ( 2014-04-27 17:23:30 -0600 )edit

I have met the same problem. How can this be solved?

lligen gravatar imagelligen ( 2015-06-01 00:23:38 -0600 )edit

Hi,

I disagree that this is a pcl question - my pcl is linked and running just fine. But when running catkin_make I get this error. Completely related to ROS.

kleinash gravatar imagekleinash ( 2016-05-11 07:06:19 -0600 )edit